Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 314213 - app-misc/booh should depend on || (media-gfx/imagemagick media-gfx/graphicsmagick[imagemagick])
Summary: app-misc/booh should depend on || (media-gfx/imagemagick media-gfx/graphicsma...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: dams (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 314431
  Show dependency tree
 
Reported: 2010-04-09 21:29 UTC by Wojciech Porczyk
Modified: 2010-04-24 19:22 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wojciech Porczyk 2010-04-09 21:29:59 UTC
GraphicsMagick is a replacement for ImageMagick. Now app-misc/booh depends only on media-gfx/imagemagick.
Comment 1 Hans de Graaff gentoo-dev 2010-04-10 02:38:17 UTC
Have you tested that this works?

Note that graphicsmagick-1.3.12 has no imagemagick USE flag and this is the only version currently in the tree. I also don't see the identify and convert tools that booh requires when installing graphicsmagick.
Comment 2 Wojciech Porczyk 2010-04-10 07:02:14 UTC
(In reply to comment #1)
> Have you tested that this works?
> 
No.

> Note that graphicsmagick-1.3.12 has no imagemagick USE flag and this is the
> only version currently in the tree. I also don't see the identify and convert
> tools that booh requires when installing graphicsmagick.
> 
[pts/6] woju@iskra ~ % fgrep imagemagick /usr/portage/media-gfx/graphicsmagick/graphicsmagick-1.3.12.ebuild
IUSE="bzip2 cxx debug doc fpx imagemagick jbig jpeg jpeg2k lcms openmp
        imagemagick? ( !media-gfx/imagemagick )"
                $(use_enable imagemagick magick-compat) \

I think it has, and identify/convert appear after enabling that flag.
Comment 3 Hans de Graaff gentoo-dev 2010-04-24 19:22:13 UTC
Hmm, somehow I completely missed that. I've now fixed this in booh 0.9.2.2.